curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/activity \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/activity"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"confirmations": 1,
"height": 901937,
"mempool": false,
"sat_activity": {
"amount": "603733",
"kind": "increase",
"usd_amount": "629.17"
},
"tx_hash": "7032180634bc691471b92099250b9370e07a0c8c8ca1420e518806404c7b6cf3"
}
],
"indexer_info": {
"chain_tip": {
"block_hash": "00000000000000000001ae26ce7b25ef2bd13f4c0069b634a233b1472f0c0a17",
"block_height": 901937
},
"estimated_blocks": [
{
"block_height": 901938,
"sats_per_vb": {
"max": 99,
"median": 4,
"min": 1
}
}
],
"mempool_timestamp": "2025-06-19 19:57:37"
},
"next_cursor": null
}Wallet Satoshi Activity by Address (Mempool-aware)
Get comprehensive Bitcoin address activity with mempool awareness for real-time wallet management and transaction tracking.
Authorizations
Project API Key
Path Parameters
Bitcoin address or hex encoded script pubkey
Query Parameters
The order in which the results are sorted. Supported values: asc, desc
asc, desc The max number of results per page
x >= 0Return only transactions included on or after a specific height
x >= 0Return only transactions included on or before a specific height
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Only return transactions of a specific activity kind. Supported values: "increase" for transactions where satoshi balance increases, "decrease" for decrease, and "self_transfer" for transactions where satoshi balance remained the same.
self_transfer, increase, decrease Do not return self-transfer transactions - transactions in which satoshi balance did not increase or decrease.
Include mempool data. Default: true.
Was this page helpful?

